import {Constructable, Mixin} from "../Common.js";
import {CanLog} from "../CanLog.js";

export enum LogLevel {
    info,
    debug,
    log,
    warn,
    error
}


export const NodeJsLogger = <T extends Constructable>(base : T) => class NodeJsLogger extends CanLog<Constructable>(base) {

    printLn (message : string) {
        console.log(message)
    }
}

export type NodeJsLogger = Mixin<typeof NodeJsLogger>
